%define anolis_release 3
%global src_name sphinx_lv2_theme

%global common_description %{expand:
This is a minimal pure-CSS theme for Sphinx that uses the documentation
style of the LV2 plugin specification and related projects.

This theme is geared toward producing beautiful API documentation for C, C++,
and Python that is documented using the standard Sphinx domains.
The output does not use Javascript at all, and some common features are not
implemented, so this theme should not be considered a drop-in replacement
for typical Sphinx themes.}


Name:           python-%{src_name}
Version:        1.2.2
Release:        %{anolis_release}%{?dist}
Summary:        A minimal pure-CSS theme for Sphinx
License:        ISC
URL:            https://gitlab.com/lv2/%{src_name}
Source0:        https://files.pythonhosted.org/packages/source/s/%{src_name}/%{src_name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description %{common_description}


%package -n python3-%{src_name}
Summary:        %{summary}

%description -n python3-%{src_name} %{common_description}

%package -n     python3-%{src_name}-doc
Summary:        Documentation files for %{src_name}
Requires:       python3-%{src_name} = %{version}-%{release}

%description -n python3-%{src_name}-doc
This package contains documentation for developer documentation for %{src_name}.


%prep
%autosetup -p1 -n %{src_name}-%{version}


%build
%py3_build


%install
%py3_install


%files -n  python3-%{src_name}
%license LICENSE
# For noarch packages: sitelib
%{python3_sitelib}/%{src_name}/
%{python3_sitelib}/*.egg-info/

%files -n python3-%{src_name}-doc
%doc README.md


%changelog
* Mon Mar 11 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 1.2.2-3
- Rebuild with python3.11

* Thu Dec 21 2023 Xiaoping Liu <lxp01404969@alibaba-inc.com> - 1.2.2-2
- rebuild

* Mon Mar 27 2023 Ziyang Zhang <ZiyangZhang@linux.alibaba.com> - 1.2.2-1
- Init from upstream 1.2.2
